package com.ruoyi.xq.manager.systemconfig;


import java.util.ArrayList;
import java.util.List;

public class SystemConfigCheckUtil {

    public static List<Long> getArrayListOfLong(String value){
        try {
            String[] split = value.split(",");
            List<Long> res = new ArrayList<>();
            for (String s : split) {
                res.add(Long.valueOf(s));
            }
            return res;
        }catch (Exception e){
            return null;
        }
    }

    public static boolean checkArrayListLong(String value, int limit){
        try {
            String[] split = value.split(",");
            for (String s : split) {
                Long.valueOf(s);
            }
            return split.length > limit;
        }catch (Exception e){
            return false;
        }
    }
}
